Rails Rails 5.2.2 jQuery 用不了?

yan32768 · 2019年03月14日 · 最后由 yan32768 回复于 2019年03月15日 · 543 次阅读

比如jquery的选择器$(#id)不能使用,得到的是一堆的代码? 有一年多没用过rails了,求教高手。项目使用rails 默认配置。应用模板是这样的 <!DOCTYPE html>

xxxxx <%= csrf_meta_tags %> <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %> <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %> 。。。
共收到 8 条回复

页面内嵌入的js,还是coffee里写的,选择器都没办法正确识别带id的元素。

require './rails/app/models/user'

task :create_user do i = 1 while i != 2 ::User.create(:name=>"Cathy") ++ i end end

task :create_comment do

end

rake aborted!
LoadError: cannot load such file -- ./rails/app/models/user
C:/Users/ThinkPad/Desktop/Demo-test/rails/lib/tasks/user.rake:1:in `require'
C:/Users/ThinkPad/Desktop/Demo-test/rails/lib/tasks/user.rake:1:in `<top (required)>'
C:/Users/ThinkPad/Desktop/Demo-test/rails/Rakefile:6:in `<top (required)>'
(See full trace by running task with --trace)

请问这个咋回事?不好i意思 我这边没法发布

引用railsapp的模型,应该这么写 require "/config/environment.rb"

yan32768 回复

改成

require "/config/environment.rb"
task :create_user do
  i = 1
  while i != 2
    ::User.create(:name=>"Cathy")
    ++ i
  end
end

task :create_comment do

end

还是会出现:

C:\Users\ThinkPad\Desktop\Demo-test\rails>bundle exec rake create_user
rake aborted!
LoadError: cannot load such file -- /config/environment.rb
C:/Users/ThinkPad/Desktop/Demo-test/rails/lib/tasks/user.rake:1:in `require'
C:/Users/ThinkPad/Desktop/Demo-test/rails/lib/tasks/user.rake:1:in `<top (required)>'
C:/Users/ThinkPad/Desktop/Demo-test/rails/Rakefile:6:in `<top (required)>'
(See full trace by running task with --trace)

5.2没有默认安装jquery gem 你需要安装gem 然后在application.js里引用才可以用

yfscret 回复

gemfile里有 jquery-rails (4.3.3) app js里有 //= require jquery //= require rails-ujs //= require turbolinks 请问需要单独再引用jquery吗? 感谢你提醒,我去查一下使用说明

yfscret 回复

jquery-rails这个gem的说明里,已经包含了jquery,里面只是提到5.1以上版本,不需要写//= require rails-ujs这一行。

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册